Page MenuHomePhabricator

ecore_con: remove use of list<> from Efl.Net.
ClosedPublic

Authored by cedric on Jan 8 2020, 10:41 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 8 2020, 10:41 AM
cedric requested review of this revision.Jan 8 2020, 10:41 AM
zmike requested changes to this revision.Jan 8 2020, 11:45 AM
zmike added inline comments.
src/lib/ecore_con/efl_net_control-connman.c
276–278

The existing code seems to imply that info should be freed here as well.

This revision now requires changes to proceed.Jan 8 2020, 11:45 AM
q66 resigned from this revision.Jan 9 2020, 6:34 AM
cedric updated this revision to Diff 28059.Jan 9 2020, 11:03 AM

rebase and free info.

bu5hm4n requested changes to this revision.Jan 10 2020, 2:18 AM

I might be a bit stuborn on this. But isn't array just the same problem as list ? Why not just entering a iterator ?

Additionally, i think efl_net_control_example.c:481 should be updated.

This revision now requires changes to proceed.Jan 10 2020, 2:18 AM

Note, you can run *all* examples after a refactor with ./examples_checks.py in the root directory.

cedric planned changes to this revision.Jan 15 2020, 9:57 AM

I might be a bit stuborn on this. But isn't array just the same problem as list ? Why not just entering a iterator ?

Iterator can not be used in an event as they can only be used once. Better solution would be an accessor I guess. Don't know why I didn't do that in the first place.

Additionally, i think efl_net_control_example.c:481 should be updated.

Sure. Thanks for finding this.

cedric updated this revision to Diff 28193.Jan 15 2020, 11:03 AM

rebase and address comments.

Note, you can run *all* examples after a refactor with ./examples_checks.py in the root directory.

Why did I run this? What did I expect? Why!?!

bu5hm4n accepted this revision.Jan 16 2020, 12:32 AM

Well, you can see if the list of failed examples gets bigger or smaller ... :)

cedric updated this revision to Diff 28486.Jan 24 2020, 1:41 PM

rebase and correct EINA_ACCESSOR_FOREACH typo.

zmike accepted this revision.Jan 24 2020, 1:52 PM

Well -- you have to give him credit. I spoke to him very recently, and he's also doing the patches. He likes patches. And -- he does good at patches too, by the way. I never saw where the codes come down with no bugs, no anything, and they're landing. I said I've never seen that before. And I was worried about him, because he's one of our great geniuses, and we have to protect our genius. You know, we have to protect Thomas Edison and we have to protect all of these people that -- came up with originally the light bulb and -- the wheel and all of these things. And he's one of our very smart people and we want to-- we want to cherish those people.

This revision is now accepted and ready to land.Jan 24 2020, 1:52 PM
Closed by commit rEFL81cbe8bdc800: ecore_con: remove use of list<> from Efl.Net. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 30 2020, 8:10 AM
This revision was automatically updated to reflect the committed changes.